package apache2 2.4.52-1ubuntu4.1 failed to install/upgrade: »installiertes apache2-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück

Bug #1987117 reported by Moodle Bilski
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Ubuntu)
New
Undecided
Unassigned

Bug Description

host behind a reverse-proxy (nginX configured with nginx proxy manager) on a bare metall machine with a diffent IP-Address

ProblemType: Package
DistroRelease: Ubuntu 22.04
Package: apache2 2.4.52-1ubuntu4.1
ProcVersionSignature: Ubuntu 5.4.0-124.140-generic 5.4.195
Uname: Linux 5.4.0-124-generic x86_64
Apache2ConfdDirListing: False
Apache2Modules: httpd (pid 10003) already running
ApportVersion: 2.20.11-0ubuntu82.1
Architecture: amd64
CasperMD5CheckResult: pass
Date: Fri Aug 19 14:52:13 2022
ErrorMessage: »installiertes apache2-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück
InstallationDate: Installed on 2020-05-17 (823 days ago)
InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
Python3Details: /usr/bin/python3.10, Python 3.10.4, python3-minimal, 3.10.4-0ubuntu2
PythonDetails: N/A
RebootRequiredPkgs: Error: path contained symlinks.
RelatedPackageVersions:
 dpkg 1.21.1ubuntu2.1
 apt 2.4.7
SourcePackage: apache2
Title: package apache2 2.4.52-1ubuntu4.1 failed to install/upgrade: »installiertes apache2-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück
UpgradeStatus: Upgraded to jammy on 2022-08-19 (0 days ago)
limesurvey-le-ssl214.conf: Error: [Errno 40] Too many levels of symbolic links: '/etc/apache2/sites-enabled/limesurvey-le-ssl214.conf'
modified.conffile..etc.apache2.apache2.conf: [modified]
modified.conffile..etc.apache2.ports.conf: [modified]
mtime.conffile..etc.apache2.apache2.conf: 2021-05-01T18:21:27.495623
mtime.conffile..etc.apache2.ports.conf: 2022-05-28T18:48:01.166096
openproject.conf: Error: [Errno 40] Too many levels of symbolic links: '/etc/apache2/sites-enabled/openproject.conf'

Revision history for this message
Moodle Bilski (theseusmoodle) wrote :
Revision history for this message
Lena Voytek (lvoytek) wrote :

Hello,

From your logs I see:

info: Executing deferred 'a2enconf javascript-common' for package javascript-common
ERROR: Conf javascript-common does not exist!

This matches another bug reported recently for apache2. As such I will mark this as a duplicate. In the meantime you may be able to fix this issue by installing javascript-common then retrying the update:

sudo apt install javascript-common

If you have any additional information or if this fails please post to this bug: https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/1986959

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers